<?php
/*
Plugin Name: Elfsight Contact Form CC
Description: Get more leads and feedback with easy-to-fill contact form
Plugin URI: https://elfsight.com/contact-form-widget/wordpress/?utm_source=markets&utm_medium=codecanyon&utm_campaign=contact-form&utm_content=plugin-site
Version: 1.1.0
Author: Elfsight
Author URI: https://elfsight.com/?utm_source=markets&utm_medium=codecanyon&utm_campaign=contact-form&utm_content=plugins-list
*/

if (!defined('ABSPATH')) exit;


require_once('core/elfsight-plugin.php');
require_once('includes/mail.php');

$elfsight_contact_form_config_path = plugin_dir_path(__FILE__) . 'config.json';
$elfsight_contact_form_config = json_decode(file_get_contents($elfsight_contact_form_config_path), true);
$elfsight_contact_form_action_url = admin_url('admin-ajax.php');
$elfsight_contact_form_additional_params = array(
	'actionName' => 'elfsight_contact_form_mail',
	'recaptchaSitekey' => '6LfEdU0UAAAAAE8yLA9_6xF1ss7SdjWNnYwgSuoM'
);

if (is_array($elfsight_contact_form_config['settings'])) {
	array_push($elfsight_contact_form_config['settings']['properties'], array(
		'id' => 'actionUrl',
		'name' => 'Action Url',
		'tab' => 'other',
		'type' => 'hidden',
		'defaultValue' => $elfsight_contact_form_action_url
	));

	array_push($elfsight_contact_form_config['settings']['properties'], array(
		'id' => 'additionalParams',
		'name' => 'Additional Params',
		'tab' => 'other',
		'type' => 'hidden',
		'defaultValue' => $elfsight_contact_form_additional_params
	));
}

$elfsightContactForm = new ElfsightPlugin(
	array(
		'name' => 'Contact Form',
		'description' => 'Get more leads and feedback with easy-to-fill contact form',
		'slug' => 'elfsight-contact-form',
		'version' => '1.1.0',
		'text_domain' => 'elfsight-contact-form',
		'editor_settings' => $elfsight_contact_form_config['settings'],
		'editor_preferences' => $elfsight_contact_form_config['preferences'],
		'script_url' => plugins_url('assets/elfsight-contact-form.js', __FILE__),

		'plugin_name' => 'Elfsight Contact Form',
		'plugin_file' => __FILE__,
		'plugin_slug' => plugin_basename(__FILE__),

		'vc_icon' => plugins_url('assets/img/vc-icon.png', __FILE__),

		'menu_icon' => plugins_url('assets/img/menu-icon.png', __FILE__),
		'update_url' => 'https://a.elfsight.com/updates/v1/',

		'preview_url' => plugins_url('preview/index.html', __FILE__),
		'observer_url' => plugins_url('preview/contact-form-observer.js', __FILE__),

		'product_url' => 'https://codecanyon.net/item/wp-contact-us-form-wordpress-contact-form-plugin/21638322?ref=Elfsight',
		'support_url' => 'https://elfsight.ticksy.com/submit/#100012053'
	)
);


function elfsight_contact_form_shortcode_options_filter($options, $widget_id) {
	global $elfsight_contact_form_action_url;
	global $elfsight_contact_form_additional_params;

	if (is_array($options)) {
		unset($options['mailTo']);

		$options['actionUrl'] = $elfsight_contact_form_action_url;
		$options['additionalParams'] = array_merge($elfsight_contact_form_additional_params, array('widget_id' => $widget_id));
	}

    return $options;
}
add_filter('elfsight_contact_form_shortcode_options', 'elfsight_contact_form_shortcode_options_filter', 10, 2);


function elfsight_contact_form_widget_options_filter($options_json) {
	$options = json_decode($options_json, true);

	if (is_array($options)) {
		unset($options['actionUrl']);
		unset($options['additionalParams']);
	}

    return json_encode($options);
}
add_filter('elfsight_contact_form_widget_options', 'elfsight_contact_form_widget_options_filter');

?>
